Get Repository Activity
GET/api/v5/repos/:owner/:repo/events
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
filter string
filter: Criteria for filtering. Accepts 'all' (for all events), 'push', 'merged', 'issue', 'comments', 'team', 'project'.
author string
event_trigger_user, input_username
before string
Start date in the format YYYY-MM-DD. Used to limit the start time of the events returned.
after string
End date in the format of YYYY-MM-DD. Used to limit the end time of the events returned.
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
events object[]
actioninteger
action_namestring
author object
idinteger
iam_idstring
usernamestring
statestring
emailstring
namestring
name_cnstring
web_urlstring
author_idinteger
author_usernamestring
created_atstring
project_idinteger
titlestring
filter_sensitiveinteger
has_next_pageinteger
{
"events": [
{
"action": 0,
"action_name": "string",
"author": {
"id": 0,
"iam_id": "string",
"username": "string",
"state": "string",
"email": "string",
"name": "string",
"name_cn": "string",
"web_url": "string"
},
"author_id": 0,
"author_username": "string",
"created_at": "string",
"project_id": 0,
"title": "string",
"filter_sensitive": 0
}
],
"has_next_page": 0
}